مشكلة في تحديث الارتش لينكس

0 تصويتات
looking for conflicting packages...
:: xorg-server and xf86-input-joystick are in conflict (X-ABI-XINPUT_VERSION). Remove xf86-input-joystick? [y/N] 
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: xorg-server and xf86-input-joystick are in conflict (X-ABI-XINPUT_VERSION>=23)

 

سُئل فبراير 26 بواسطة بيرم (280 نقاط)

إجابة واحدة

0 تصويتات
 
أفضل إجابة

تم حل المشكلة :

أكملت بـ y في الجميع.
ثم ظهرت في النهاية مشكلة أخرى :
 

lib32-qt4: installing lib32-sqlite (3.16.2-1) breaks dependency 'lib32-sqlite3'

قمت بحذف lib32-qt4
فوجدت أن skype يستخدمه، فقمت بإزالته لأني لا أستعمله.

ثم أعدت العملية فوجدت مشكلة أخرى حلها هو عمل update للـ keyring


pacman -Sy archlinux-keyring && pacman -Syyu

بعدها ظهرت مشكلة أخرى كالتالي :

error: failed to commit transaction (conflicting files)
ttf-dejavu: /etc/fonts/conf.d/20-unhint-small-dejavu-sans-mono.conf exists in filesystem
ttf-dejavu: /etc/fonts/conf.d/20-unhint-small-dejavu-sans.conf exists in filesystem
ttf-dejavu: /etc/fonts/conf.d/20-unhint-small-dejavu-serif.conf exists in filesystem
ttf-dejavu: /etc/fonts/conf.d/57-dejavu-sans-mono.conf exists in filesystem
ttf-dejavu: /etc/fonts/conf.d/57-dejavu-sans.conf exists in filesystem
ttf-dejavu: /etc/fonts/conf.d/57-dejavu-serif.conf exists in filesystem
Errors occurred, no packages were upgraded.

حلها هو الأمر التالي :

pacman -S --force ttf-dejavu

ثم كررت الأمر :

pacman -Sy archlinux-keyring && pacman -Syyu

وتمت العملية بنجاح.

مُجاب فبراير 26 بواسطة بيرم (280 نقاط)
...